Get Malware Analysis Vc Configuration

Get Malware Analysis Vc Configuration
Get Malware Analysis VC Configuration

Get configuration for Malware Analysis VC deployment, including the vCenter server parameters for on-premise sandbox analysis.

Request
URI
GET
https://{api_host}/ssp/lcm/malware-analysis-vc/config
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Get operation completed successfully.

Returns MalwareAnalysisVcConfiguration of type(s) application/json
This response body class contains all of the following: ManagedResource , MalwareAnalysisVcParameters
{
    "_create_time": 1733750000000,
    "_create_user": "admin",
    "_last_modified_time": 1733750000000,
    "_last_modified_user": "admin",
    "_resource_type": "MalwareAnalysisVcConfiguration",
    "_revision": 1,
    "_system_owned": false,
    "display_name": "Malware Analysis VC Configuration",
    "server": "vcenter.example.com",
    "datacenter": "Datacenter1",
    "cluster": "Cluster1",
    "datastore": "Datastore1",
    "content_library": "MalwareAnalysisLibrary",
    "network": {
        "gateway_vm_use_dhcp": true,
        "gateway_vm_mgmt_network_name": "VM Network",
        "gateway_vm_mgmt_network_mask": "255.255.255.0",
        "gateway_vm_ip_address": "192.168.1.100",
        "gateway_vm_ipv4_gateway": "192.168.1.1",
        "gateway_vm_use_ssp_ntp_and_dns": true,
        "ssp_ntp_server_ip_address": "10.0.0.1",
        "ssp_dns_server_ip_address": "10.0.0.2",
        "sandbox_vm_network_name": "Isolated-Sandbox-Network"
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Get operation encountered error.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/lcm/malware-analysis-vc/config